profiles

# Procedural File: profiles.inc Source Location: /lib/profiles.inc ## Page Details: This file provides functions to load and save account profiles. #### Tags:
author: | Roland Gruber
### delAccountProfile [line 147]
`boolean delAccountProfile( string $file, string $scope)`
Deletes an account profile #### Tags:
return: | true if profile was deleted
#### Parameters
string | $file | name of profile (Without .<scope> extension)
string | $scope | account type
[ Top ] ### getAccountProfiles [line 38]
`array getAccountProfiles( string $scope)`
Returns an array of string with all available profiles for the given account type #### Tags:
return: | profile names
#### Parameters
string | $scope | account type
[ Top ] ### loadAccountProfile [line 66]
`array loadAccountProfile( string $profile, string $scope)`
Loads an profile of the given account type #### Tags:
return: | hash array (attribute => value)
#### Parameters
string | $profile | name of the profile (without .<scope> extension)
string | $scope | account type
[ Top ] ### saveAccountProfile [line 110]
`boolean saveAccountProfile( array $attributes, string $profile, string $scope)`
Saves an hash array (attribute => value) to an account profile file is created, if needed #### Tags:
return: | true, if saving succeeded
#### Parameters
string | $profile | name of the account profile (without .<scope> extension)
array | $attributes | hash array (attribute => value)
string | $scope | account type
[ Top ] Documentation generated on Tue, 07 Apr 2009 20:35:11 +0200 by phpDocumentor 1.4.1